kws_search_s Struct Reference

Implementation of KWS search structure. More...

`#include <kws_search.h>`

## Data Fields

ps_search_t | base
hmm_context_t * | hmmctx
| HMM context.
glist_t | keyphrases
| Keyphrases to spot.
kws_detections_t * | detections
| Keyword spotting history.
frame_idx_t | frame
| Frame index.
int32 | beam
int32 | plp
| Phone loop probability.
int32 | bestscore
| For beam pruning.
int32 | def_threshold
| default threshold for p(hyp)/p(altern) ratio
int32 | delay
| Delay to wait for best detection score.
int32 | n_pl
| Number of CI phones.
hmm_t * | pl_hmms
| Phone loop hmms - hmms of CI phones.
ptmr_t | perf
| Performance counter.
int32 | n_tot_frame

## Detailed Description

Implementation of KWS search structure.

Definition at line 70 of file kws_search.h.

## Field Documentation

## base

ps_search_t kws_search_s::base

Definition at line 71 of file kws_search.h.

## beam

int32 kws_search_s::beam

Definition at line 80 of file kws_search.h.

## bestscore

int32 kws_search_s::bestscore

For beam pruning.

Definition at line 83 of file kws_search.h.

## def_threshold

int32 kws_search_s::def_threshold

default threshold for p(hyp)/p(altern) ratio

Definition at line 84 of file kws_search.h.

## delay

int32 kws_search_s::delay

Delay to wait for best detection score.

Definition at line 85 of file kws_search.h.

## detections

kws_detections_t* kws_search_s::detections

Keyword spotting history.

Definition at line 77 of file kws_search.h.

## frame

frame_idx_t kws_search_s::frame

Frame index.

Definition at line 78 of file kws_search.h.

## hmmctx

hmm_context_t* kws_search_s::hmmctx

HMM context.

Definition at line 73 of file kws_search.h.

## keyphrases

glist_t kws_search_s::keyphrases

Keyphrases to spot.

Definition at line 75 of file kws_search.h.

## n_pl

int32 kws_search_s::n_pl

Number of CI phones.

Definition at line 87 of file kws_search.h.

## n_tot_frame

int32 kws_search_s::n_tot_frame

Definition at line 91 of file kws_search.h.

## perf

ptmr_t kws_search_s::perf

Performance counter.

Definition at line 90 of file kws_search.h.

## pl_hmms

hmm_t* kws_search_s::pl_hmms

Phone loop hmms - hmms of CI phones.

Definition at line 88 of file kws_search.h.

## plp

int32 kws_search_s::plp

Phone loop probability.

Definition at line 82 of file kws_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/kws_search.h